Package org.snpeff.interval

# Class SpliceSite

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.SpliceSite

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

Direct Known Subclasses:
  `SpliceSiteAcceptor`, `SpliceSiteBranch`, `SpliceSiteDonor`, `SpliceSiteRegion`

public abstract class SpliceSite extends Marker
Interval for a splice site Reference: http://en.wikipedia.org/wiki/RNA_splicing Spliceosomal introns often reside in eukaryotic protein-coding genes. Within the intron, a 3' splice site, 5' splice site, and branch site are required for splicing. The 5' splice site or splice donor site includes an almost invariant sequence GU at the 5' end of the intron, within a larger, less highly conserved consensus region. The 3' splice site or splice acceptor site terminates the intron with an almost invariant AG sequence. Upstream (5'-ward) from the AG there is a region high in pyrimidines (C and U), or polypyrimidine tract. Upstream from the polypyrimidine tract is the branch point, which includes an adenine nucleotide.

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CORE_SPLICE_SITE_SIZE`
`static final int`
`SPLICE_REGION_EXON_SIZE`
`static final int`
`SPLICE_REGION_INTRON_MAX`
`static final int`
`SPLICE_REGION_INTRON_MIN`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`SpliceSite()`
`SpliceSite(Exon parent, int start, int end, boolean strandMinus, String id)`
`SpliceSite(Intron parent, int start, int end, boolean strandMinus, String id)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`intersectsCoreSpliceSite(Marker marker)`
Core splice sites are defined as CORE_SPLICE_SITE_SIZE bases after exon end or before exon begins.
`protected boolean`
`isShowWarningIfParentDoesNotInclude()`
Splice sites are not included in Exons, by definition.
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, cloneShallow, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CORE_SPLICE_SITE_SIZE

public static final int CORE_SPLICE_SITE_SIZE

See Also:
  - Constant Field Values

### SPLICE_REGION_EXON_SIZE

public static final int SPLICE_REGION_EXON_SIZE

See Also:
  - Constant Field Values

### SPLICE_REGION_INTRON_MIN

public static final int SPLICE_REGION_INTRON_MIN

See Also:
  - Constant Field Values

### SPLICE_REGION_INTRON_MAX

public static final int SPLICE_REGION_INTRON_MAX

See Also:
  - Constant Field Values

## Constructor Details

### SpliceSite

public SpliceSite()

### SpliceSite

public SpliceSite(Exon parent, int start, int end, boolean strandMinus, String id)

### SpliceSite

public SpliceSite(Intron parent, int start, int end, boolean strandMinus, String id)

## Method Details

### intersectsCoreSpliceSite

public abstract boolean intersectsCoreSpliceSite(Marker marker)
Core splice sites are defined as CORE_SPLICE_SITE_SIZE bases after exon end or before exon begins. Usually CORE_SPLICE_SITE_SIZE is 2 bases. Other spice sites are considered "non-core".

### isShowWarningIfParentDoesNotInclude

protected boolean isShowWarningIfParentDoesNotInclude()
Splice sites are not included in Exons, by definition.

Overrides:
  `isShowWarningIfParentDoesNotInclude` in class `Marker`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Description copied from class: `Marker`
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`